# Order Status

**This API is used to check the payment status:**  This endpoint retrieves the current payment status of a session. Use this to verify if a payment was successful, failed, or is still pending.

> You can get `session_id` form the `redirect_url` or `cancel_url` as parameter
>
> e.g. the redirect url you haved added at the payment endpoint will be&#x20;
>
> `example.com/success?session_id=payment_id`

### Endpoint:

```bash
curl --location 'https://api.resmic.com/api/v1/makepayment/payment-status?session_id=<SESSION_ID>
--header 'x-api-key: <YOUR_API_KEY>' \
--header 'x-user-id: <YOUR_USER_ID>'
```

### Sample Request

```javascript
const axios = require('axios');

let session_id = ""// Add the session ID here.
let config = {
  method: 'get',
  url: `https://api.resmic.com/api/v1/makepayment/payment-status?session_id=${session_id}`,
  headers: { 
    'x-api-key': 'API_KEY', // Add the API_KEY here
    'x-user-id': 'USER_ID' // Add the user_id here.
  }
};

axios.request(config)
.then((response) => {
  console.log(JSON.stringify(response.data));
})
.catch((error) => {
  console.log(error);
});


```

### Sample Response

```json
{
    "status": 200,
    "success": true,
    "message": "Session reterived",
    "data": {
        "session_id": "899e9dde-fda9-4386-9620-065756016805",
        "created_at_utc": "2025-02-21T23:00:13.633Z",
        "updated_at": "2025-02-22T04:31:08.132Z",
        "amount": "100",
        "payment_status": "Completed", // 
        "wallet_address": "0x056397760b973BfB921Bc10Be9DA5034B1e921d7", // Payment from address.
        "is_coupon_applied": false
    }
}
```

Possilbe Payment Status values (case sensitive)

1. `Completed`
2. `Failed`
3. `initiated` (User initiated the payment but didn't completed.)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.resmic.com/resmic-pro/order-status.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
